Welcome, Guest. Please login or register.
Did you miss your activation email?
November 16, 2019, 02:37:17 am

Login with username, password and session length
Search:     Advanced search
Savage: XR is a new patch for Savage, created by the Newerth.com staff. The XR1.1 Client is out now! Download it now!
189878 Posts in 10981 Topics by 18416 Members
Latest Member: himpaskio
* Home Forum Wiki Help Search Login Register
+  Newerth Forums
|-+  Savage XR
| |-+  Support Forum
| | |-+  TUTORIAL: Installing Savage XR on 64-bit Ubuntu 14.04
0 Members and 1 Guest are viewing this topic. « previous next »
Pages: 1 [2] Go Down Print
Author Topic: TUTORIAL: Installing Savage XR on 64-bit Ubuntu 14.04  (Read 15614 times)
C.I.A.
XR Contributor
Jr. Member
****
Posts: 65


View Profile
« Reply #15 on: April 02, 2019, 06:30:09 pm »

Hi aGaTHoS,

usually its just a case of removing the home/savage-xr/libs/libz.so.1file after the Auto Updater has actually made an update (and modified files).

Savage XR certainly does work on Void Linux as until recently I used Void (using GlibC, not the musl version) as my daily drive (no systemD and I got rid of PulseAudio as well).

Assuming you got it running you can reduce your grief by wrapping up the ./savage.sh script in another launcher which removes the pesky libz.so.1 automatically, I've already done this, see function cleanLibs(), in the Flatpak'ed version of Savage XR:
  * https://gitlab.com/sea-eye-aya/unofficial-savage-xr-flatpak/blob/master/bootstrapsavagexr.sh

The Flatpak version of Savage XR also works fine on Void (I initially wrote it under Void), but being a rolling release always make sure the Flatpaks' video drivers are up to date, as they can drop out of sync with the system drivers and stops Flatpak from working. The forum topic for installing can be found here:
  * Unofficial "Savage XR - Battle for Newerth" Linux Flatpak
  * https://www.newerth.com/smf/index.php?PHPSESSID=54re66e50vtn7k5g63bi942973&topic=18780.0

If pushed I might consider trying to make a AppImage of SavageXR, I believe sacrificeXsteel was working on a .deb of Savage but ran out of hard drive space so I don't know if he's finished it yet.






Logged
Marzanna
Newbie
*
Posts: 1


View Profile
« Reply #16 on: September 30, 2019, 11:34:30 am »

Hello.
I made a symlink
Code:
ln -s /lib/i386-linux-gnu/libz.so.1 libz.so.1
so I don't have problem with libz anymore but then I run game I get the following error:
Code:
Traceback (most recent call last):
  File "<string>", line 1, in <module>
zipimport.ZipImportError: can't decompress data; zlib not available
Looks like built-in python can't find zlib. But ATM I don't have an idea how to fix it Sad
Logged
drk
Community Serveradmin
XR Coder
Hero Member
***
Posts: 547



View Profile
« Reply #17 on: October 04, 2019, 06:44:07 pm »

Did you try to install zlib by itself?
Like
Quote
sudo apt-get install zlib1g-dev

You can also try to check savage.bin and silverback.bin if they see all required libraries:
Quote
ldd silverback.bin
ldd savage.bin
and from the game folder
Quote
ldd game.so
There should not be any empty lib paths
« Last Edit: October 04, 2019, 06:46:40 pm by drk » Logged

Pages: 1 [2] Go Up Print 
« previous next »
Jump to:  

Powered by MySQL Powered by PHP Powered by SMF 1.1.21 | SMF © 2006-2007, Simple Machines Valid XHTML 1.0! Valid CSS!
Page created in 0.035 seconds with 19 queries.